<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RockPaperScissorsDaoImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.daos</a> &gt; <span class="el_source">RockPaperScissorsDaoImpl.java</span></div><h1>RockPaperScissorsDaoImpl.java</h1><pre class="source lang-java linenums">package dev.team3.daos;

import dev.team3.models.RockPaperScissor;
import org.springframework.stereotype.Repository;

import java.util.Random;

@Repository
<span class="fc" id="L9">public class RockPaperScissorsDaoImpl implements RockPaperScissorsDao {</span>
    @Override
    public RockPaperScissor returnOpposingHand() {
<span class="fc" id="L12">        Random rand = new Random();</span>

<span class="fc" id="L14">        return new RockPaperScissor(rand.nextInt(3));</span>
    }

    @Override
    public String victoryChecker(RockPaperScissor bot, String user) {

<span class="nc" id="L20">        System.out.println(bot);</span>
<span class="nc bnc" id="L21" title="All 2 branches missed.">        if (bot.getWeakness().equals(user)) {</span>
<span class="nc" id="L22">            return &quot;Congrats! You won this round!&quot;;</span>
<span class="nc bnc" id="L23" title="All 2 branches missed.">        } else if (bot.getEffective().equals(user)) {</span>

<span class="nc" id="L25">            return &quot;Sorry, You lost this round&quot;;</span>
<span class="nc bnc" id="L26" title="All 2 branches missed.">        } else if (bot.getHand().equals(user)) {</span>
<span class="nc" id="L27">            return &quot;Draw&quot;;</span>
        }

<span class="nc" id="L30">        return null;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>